<template>
  <div class="buttonBox">
    <el-button type="primary" @click="handleSetChannel">通道设置 </el-button>
    <setChannelDialog ref="setChannelDialog_ref"></setChannelDialog>
  </div>
</template>
<script>
import {} from "@/utils/api/index";
import setChannelDialog from "./setChannelDialog.vue";
export default {
  components: { setChannelDialog },
  data() {
    return {};
  },
  watch: {},
  mounted() {},
  computed: {
    termId() {
      return this.$store.state.termId;
    },
    channelIdList() {
      return this.$store.state.channelIdList;
    },
  },

  methods: {
    handleSetChannel() {
      this.$refs.setChannelDialog_ref.display();
    },
  },
  destroyed() {},
  beforeRouteLeave(to, from, next) {},
};
</script>
